unit testb;

interface

implementation

procedure a;
begin
          if (ia1[index1].tokentype <= MAX_TERMINAL) then begin
              cd := cd + 1;
              if diffres <> ES_COMBINED then begin
                if diffres = ES_MATCH then
                  diffres := ES_DELETE
                else if diffres <> ES_DELETE then
                  diffres := ES_COMBINED;
              end;
              if bBkColor then
                c := COLOR_DELETE
              else
                c := COLOR_NOT_COMPARED;
              colorStrips1.add(Length(S1)+1,Length(ia1[index1].value),c,phighlight1.tc,Integer(phighlight1.style));
              colorStrips2.add(Length(S2)+1,Length(ia1[index1].value),c,pdefhighlight.tc,Integer(pdefhighlight.style));
//              colorStrips1.add(Length(S1)+1,Length(ia1[index1].value),COLOR_DELETE,TCOLOR_DELETE);
//              colorStrips2.add(Length(S2)+1,Length(ia1[index1].value),COLOR_DELETE,TCOLOR_DELETE);
              S1 := S1 + ia1[index1].value;
              S2 := S2 + dupestring(' ',Length(ia1[index1].value));
          end;

          index1 := index1 + 1;
end;
end.